'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isAd = require('is-ad');

(0, _isAd.initialize)();

var defaultOptions = {
  verbose: true,
  logger: console
};

exports.default = function (browserWindow) {
  var userOptions = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var options = Object.assign({}, defaultOptions, userOptions);
  browserWindow.webContents.session.webResuest.onBeforeRequest(['*://*./*'], function (details, callback) {
    var shouldBeBlocked = (0, _isAd.isAd)(details.url);
    if (shouldBeBlocked) {
      if (options.verbose) {
        options.logger.log('ADBLOCK blocked: ' + details.url);
      }
      callback({ cancel: true });
    } else {
      callback({ cancel: false });
    }
  });
};